# go version

1.21.6

# 编译
## 一、进入容器
docker exec -it aarch64ubuntu18 /bin/bash
## 二、拉取代码
cd /root/cicv-data-closedloop
git pull
## 三、编译
sh build.sh
## 四、宿主机复制
cd /root/mlx/
docker cp 23e9164d44d7:/root/cicv-data-closedloop ./

find ./data -type f | wc -l


# 启动 arm64 容器
sudo docker run -itd -p 12340:12340 -p 9849:22 --rm --name aarch64ubuntu18 --platform linux/arm64/v8 rosbag-handle-compile:v20240117.4 /bin/bash


# systemctl
# 2 启动并启用服务
sudo systemctl enable pji-control
sudo systemctl start pji-control
# 3 查看服务状态
sudo systemctl status pji-control